Bug 490626 - Summary: SELinux is preventing amarok from loading /usr/lib/sse2/libpostproc.so.51.2.0 which requires text relocation. Detailed Description: The amarok application attempted to load /usr/lib/sse2/libpostproc.so.51.2.0 which requires text relocation. T
Summary: SELinux is preventing amarok from loading /usr/lib/sse2/libpostproc...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 07:26 EDT by Sadid Sahami
Modified: 2009-03-18 08:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 08:15:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sadid Sahami 2009-03-17 07:26:41 EDT
Description of problem:
this problem not only cause by amarok but also by other multimedia applications that load this library.

Version-Release number of selected component (if applicable):
amarok2.0.1
libpostproc.so.51.2.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
nothing especial just an SELinux warning

Expected results:


Additional info:
Comment 1 Rex Dieter 2009-03-17 10:20:44 EDT
rpm -q amarok selinux-policy-targeted
please.
Comment 2 Rex Dieter 2009-03-17 10:22:15 EDT
In particular,
amarok-2.0.2-3
selinux-policy-targeted-3.5.13-48
are the latest in updates now, if you don't have these, please update, and see if that addresses the issue.  (It should, I recall this awhile back, but it was reportedly fixed in a selinux-policy upate).
Comment 3 Sadid Sahami 2009-03-17 17:04:02 EDT
here is the result for
]$ rpm -q amarok selinux-policy-targeted
amarok-2.0.1.1-1.fc10.i386
selinux-policy-targeted-3.5.13-18.fc10.noarch

P.s I used this command for preventing more warning as Selinux offered:
chcon -t textrel_shlib_t '/usr/lib/sse2/libpostproc.so.51.2.0'
Comment 4 Sadid Sahami 2009-03-17 17:08:00 EDT
now I'm trying to updating them...
Comment 5 Sadid Sahami 2009-03-17 18:55:49 EDT
I faced some problem in updating those packages.
Comment 6 Rex Dieter 2009-03-18 08:15:29 EDT
when/if you can update, and confirm the bug still exists, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.